Bug 1505107 - LAME 3.100 update with security fixes
Summary: LAME 3.100 update with security fixes
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lame
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Yaakov Selkowitz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 1505172 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-22 09:48 UTC by samoht0
Modified: 2017-11-15 22:28 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-11-07 22:15:25 UTC


Attachments (Terms of Use)

Description samoht0 2017-10-22 09:48:12 UTC
Description of problem:

After 5.5 years there's a new upstream release LAME 3.100 from October 13 2017:

https://svn.code.sf.net/p/lame/svn/trunk/lame/doc/html/history.html

I'm requesting a update for currently supported Fedora releases for security reason.

CVE-2017-9410 | CVE-2017-9411 | CVE-2017-9412

Version-Release number of selected component (if applicable):

lame-3.99.5-8.fc26

Comment 1 samoht0 2017-10-22 09:58:48 UTC
See also:
https://bugzilla.redhat.com/show_bug.cgi?id=1470199

Comment 2 Yaakov Selkowitz 2017-10-22 19:39:01 UTC
*** Bug 1505172 has been marked as a duplicate of this bug. ***

Comment 3 Robert Scheck 2017-10-22 21:37:10 UTC
A simple version bump leads at rebuild to:

gtkanal.o: In function `gtkmakeframe':
/builddir/build/BUILD/lame-3.100/frontend/gtkanal.c:153: undefined reference to `hip_set_pinfo'
/builddir/build/BUILD/lame-3.100/frontend/gtkanal.c:185: undefined reference to `hip_set_pinfo'
/builddir/build/BUILD/lame-3.100/frontend/gtkanal.c:156: undefined reference to `hip_set_pinfo'
collect2: error: ld returned 1 exit status

Comment 4 Fedora Update System 2017-10-22 22:43:56 UTC
lame-3.100-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2e2dc86bc6

Comment 5 Fedora Update System 2017-10-22 22:44:32 UTC
lame-3.100-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9c29af2c64

Comment 6 Fedora Update System 2017-10-22 22:52:28 UTC
lame-3.100-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7ce0091d73

Comment 7 Fedora Update System 2017-10-22 22:53:40 UTC
lame-3.100-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-abd82daec6

Comment 8 Fedora Update System 2017-10-23 00:51:59 UTC
lame-3.100-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2e2dc86bc6

Comment 9 Fedora Update System 2017-10-23 23:17:06 UTC
lame-3.100-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7ce0091d73

Comment 10 Fedora Update System 2017-10-23 23:19:01 UTC
lame-3.100-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-abd82daec6

Comment 11 Fedora Update System 2017-10-23 23:21:23 UTC
lame-3.100-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9c29af2c64

Comment 12 Fedora Update System 2017-10-23 23:49:45 UTC
lame-3.100-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-38830f1443

Comment 13 Fedora Update System 2017-11-01 00:06:40 UTC
lame-3.100-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-11-07 22:15:25 UTC
lame-3.100-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-11-07 23:42:20 UTC
lame-3.100-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-11-11 03:01:27 UTC
lame-3.100-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-11-15 22:28:49 UTC
lame-3.100-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.